libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

xr_http
xr_http_free
xr_http_get_basic_auth
xr_http_get_code
xr_http_get_header
xr_http_get_message_length
xr_http_get_message_type
xr_http_get_method
xr_http_get_resource
xr_http_get_version
xr_http_has_pending_request
xr_http_init
xr_http_is_ready
xr_http_message_type
xr_http_new
xr_http_read
xr_http_read_all
xr_http_read_header
xr_http_set_basic_auth
xr_http_set_header
xr_http_set_message_length
xr_http_set_message_type
xr_http_setup_request
xr_http_setup_response
xr_http_write
xr_http_write_all
xr_http_write_complete
xr_http_write_header

void xr_http_set_basic_auth | ( | xr_http * | http,
|  | const char * | username,
|  | const char * | password
| ) |  |

Set Authorization: Basic header.

Parameters

  http | HTTP transport object.
  username | Username.
  password | Password.

Documentation for libxr, Fri Apr 15 2016 08:12:18.